dskform(1)

NAME
dskform - floppy or image file formatter for emulated machines

SYNOPSIS
dskform [-format FORMAT] [-type TYPE] [-side SIDE] [-comp COMP] [-retry COUNT] [-fat12] DISKIMAGE

DESCRIPTION
Dskform is a formatter which formats floppy discs or disc images for use with emulated machines such as the ZX Spectrum +3, Amstrad CPC, and various Acorn machines. It does not create a filesystem on the disc or image.

OPTIONS

-format FORMAT
    Specifies a disc format to use. See the section DISK FORMATS for more information.

-type TYPE
    Determines which driver is to be used to format the disc or image.

    auto
        Select according to the disc image file. This is the default.

    dsk Use the DSK (CPCEmu format) image driver.

    edsk
        Use the extended version of the DSK format.

    floppy
        Use the floppy driver.

    myz80
        Use the hard disk (MYZ80 format) image driver. (This format cannot be autodetected.)

    cfi Use the CFI (DOS fdcopy format) image driver. (This format cannot be autodetected.)

    apridisk
        Use the ApriDisk image driver (used for archiving Apricot floppies). (This format cannot be autodetected.)

    raw Use the raw driver.

-comp COMP
    Compress the disc image that is being generated (has no effect when formatting a real floppy disc).

    sq  Huffman compressed (SQ / USQ).

    gz  Gzipped (gzip / gunzip).

-retry COUNT
    Set the number of times to attempt a format operation in case of error.

-side SIDE
    Determines which side (0 or 1) of the disc is to be formatted.

-pcdos
    Create an empty PCDOS (FAT12) filesystem on the disc image.

-apricot
    Create an empty Apricot MSDOS filesystem on the disc image.

DISK FORMATS

pcw180
    PCW or IBM; 180K. This is the default format.

cpcsys
    CPC or +3 System

cpcdata
    CPC or +3 Data

pcw720
    PCW or IBM 720K

pcw1440
    PCW16 or IBM 1440K

ibm160 ibm320
    IBM 160K or 320K (CP/M-86 or DOSPlus)

ibm360
    IBM 360K (DOSPlus)

ibm720 ibm1200 ibm1440
    IBM 720K, 1200K or 1440K (144FEAT)

acorn160 acorn320
    Acorn ADFS 'S' or 'M'

acorn640
    Acorn ADFS 'L'

acorn800
    Acorn ADFS 'D' and 'E'/'E+'

acorn1600
    Acorn ADFS 'F'/'F+'

pcw800
    PCW 800K (XCF2DD)

pcw200
    PCW 200K (XCF2)

bbc100
    BBC Micro DFS (single sided, 40 tracks)

bbc200
    BBC Micro DFS (single sided, 80 tracks)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.

Darren Salt wrote the man pages.